"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaxationType = exports.ReceiptKind = exports.OperationType = exports.ReceiptStatus = void 0;
exports.ReceiptStatus = Object.freeze({
    NPD_FOUND: [20],
    NPD_NOT_FOUND: [422],
    COPY_REQUESTED: [3, 11],
    ERROR: [4],
    HAVE_COPY: [2],
    HSM_NOK: [8, 10],
    HSM_REQUESTED: [0, 7, 9],
    STANDALONE_CASH: [12, 13, 15],
    RETRIEVE_FAILED: [5],
    UNSUPPORTED_DOCUMENT_TYPE: [16]
});
var OperationType;
(function (OperationType) {
    OperationType[OperationType["UNKNOWN"] = 0] = "UNKNOWN";
    OperationType[OperationType["INCOME"] = 1] = "INCOME";
    OperationType[OperationType["INCOME_RETURN"] = 2] = "INCOME_RETURN";
    OperationType[OperationType["EXPENSE"] = 3] = "EXPENSE";
    OperationType[OperationType["EXPENSE_RETURN"] = 4] = "EXPENSE_RETURN";
})(OperationType = exports.OperationType || (exports.OperationType = {}));
var ReceiptKind;
(function (ReceiptKind) {
    ReceiptKind["KKT"] = "kkt";
    ReceiptKind["NPD"] = "npd";
})(ReceiptKind = exports.ReceiptKind || (exports.ReceiptKind = {}));
var TaxationType;
(function (TaxationType) {
    TaxationType[TaxationType["UNKNOWN"] = 0] = "UNKNOWN";
    TaxationType[TaxationType["OSN"] = 1] = "OSN";
    TaxationType[TaxationType["ISN"] = 2] = "ISN";
    TaxationType[TaxationType["EXT_USN"] = 3] = "EXT_USN";
    TaxationType[TaxationType["ENVD"] = 8] = "ENVD";
    TaxationType[TaxationType["ESHN"] = 16] = "ESHN";
    TaxationType[TaxationType["PSN"] = 32] = "PSN";
})(TaxationType = exports.TaxationType || (exports.TaxationType = {}));
