import type { AxiosInstance, AxiosResponse, CancelToken } from 'axios';
import type { EsiaLoginRequest, EsiaUrlResponse, LKFLLoginRequest, LoginApiInterface, LoginResponse, PhoneLoginRequest, PhoneVerifyRequest, RefreshTokensRequest, RefreshTokensResponse } from './interfaces/login-api.interface';
export declare class LoginApi implements LoginApiInterface {
    private readonly axiosInstance;
    constructor(axiosInstance: AxiosInstance);
    getUrlOAuthEsia(cancelToken?: CancelToken): Promise<AxiosResponse<EsiaUrlResponse>>;
    loginEsia(data: EsiaLoginRequest, cancelToken?: CancelToken): Promise<AxiosResponse<LoginResponse, EsiaLoginRequest>>;
    loginLKFL(data: LKFLLoginRequest, cancelToken?: CancelToken): Promise<AxiosResponse<LoginResponse, LKFLLoginRequest>>;
    loginByPhone(data: PhoneLoginRequest, cancelToken?: CancelToken): Promise<AxiosResponse<void, PhoneLoginRequest>>;
    verifyPhone(data: PhoneVerifyRequest, cancelToken?: CancelToken): Promise<AxiosResponse<LoginResponse, PhoneVerifyRequest>>;
    refreshTokens(data: RefreshTokensRequest, cancelToken?: CancelToken): Promise<AxiosResponse<RefreshTokensResponse, RefreshTokensRequest>>;
}
