"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginApi = void 0;
class LoginApi {
    constructor(axiosInstance) {
        this.axiosInstance = axiosInstance;
    }
    getUrlOAuthEsia(cancelToken) {
        return this.axiosInstance.get('v2/mobile/users/esia/auth/url', {
            cancelToken
        });
    }
    loginEsia(data, cancelToken) {
        return this.axiosInstance.post('v2/mobile/users/esia/auth', data, {
            cancelToken
        });
    }
    loginLKFL(data, cancelToken) {
        return this.axiosInstance.post('v2/mobile/users/lkfl/auth', data, {
            cancelToken
        });
    }
    loginByPhone(data, cancelToken) {
        return this.axiosInstance.post('v2/auth/phone/request', data, {
            cancelToken
        });
    }
    verifyPhone(data, cancelToken) {
        return this.axiosInstance.post('v2/auth/phone/verify', data, {
            cancelToken
        });
    }
    refreshTokens(data, cancelToken) {
        return this.axiosInstance.post('v2/mobile/users/refresh', data, {
            cancelToken
        });
    }
}
exports.LoginApi = LoginApi;
