import type { AxiosInstance, AxiosResponse, CancelToken } from 'axios';
import { AddReceiptQRRequest, AddReceiptRequest, ReceiptApiInterface, ReceiptDetails, ReceiptShort } from './interfaces';
export declare class ReceiptApi implements ReceiptApiInterface {
    private readonly axiosInstance;
    private sessionId?;
    constructor(axiosInstance: AxiosInstance, sessionId?: string | undefined);
    setSessionId(value: string | undefined): void;
    addReceipt(data: AddReceiptRequest, cancelToken?: CancelToken): Promise<AxiosResponse<ReceiptShort, AddReceiptRequest>>;
    addReceiptQR(data: AddReceiptQRRequest, cancelToken?: CancelToken): Promise<AxiosResponse<ReceiptShort, AddReceiptQRRequest>>;
    getReceipt(id: string, cancelToken?: CancelToken): Promise<AxiosResponse<ReceiptDetails, any>>;
    getReceipts(cancelToken?: CancelToken): Promise<AxiosResponse<ReceiptShort[], any>>;
    removeReceipt(id: string, cancelToken?: CancelToken): Promise<AxiosResponse>;
    private getSessionHeader;
}
