"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReceiptApi = void 0;
const constants_1 = require("./constants");
class ReceiptApi {
    constructor(axiosInstance, sessionId) {
        this.axiosInstance = axiosInstance;
        this.sessionId = sessionId;
    }
    setSessionId(value) {
        this.sessionId = value;
    }
    addReceipt(data, cancelToken) {
        return this.axiosInstance.post('v2/ticket', data, {
            headers: Object.assign({}, this.getSessionHeader()),
            cancelToken
        });
    }
    addReceiptQR(data, cancelToken) {
        return this.axiosInstance.post('v2/ticket', data, {
            headers: Object.assign({}, this.getSessionHeader()),
            cancelToken
        });
    }
    getReceipt(id, cancelToken) {
        return this.axiosInstance.get(`v2/tickets/${encodeURIComponent(id)}`, {
            headers: Object.assign({}, this.getSessionHeader()),
            cancelToken
        });
    }
    getReceipts(cancelToken) {
        return this.axiosInstance.get('v2/tickets', {
            headers: Object.assign({}, this.getSessionHeader()),
            cancelToken
        });
    }
    removeReceipt(id, cancelToken) {
        return this.axiosInstance.delete(`v2/tickets/${encodeURIComponent(id)}`, {
            headers: Object.assign({}, this.getSessionHeader()),
            cancelToken
        });
    }
    getSessionHeader() {
        if (this.sessionId !== undefined) {
            return { [constants_1.SESSION_ID_HEADER]: this.sessionId };
        }
        return undefined;
    }
}
exports.ReceiptApi = ReceiptApi;
